Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037516
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2017-12-19 17:082018-02-22 18:18
ReporterJONHMView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision385dc5c17396
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037516: Performance issue in Orders Awaiting Delivery Report

DescriptionThere is a performance issue in Orders Awaiting Delivery Report on environments with high amount of data.
Steps To ReproduceLogin on the environment provided by support:

- Open Orders Awaiting Delivery Report and set:
  * From date: 10-08-2017
  * To date: 13-09-2017
  * Org: BAPS Shayona - Robbinsville

It take about 90 seconds to finish
TagsNo tags attached.
Attached Files? file icon query.sql [^] (18,898 bytes) 2017-12-19 17:19
 file icon query_plan [^] (16,463 bytes) 2017-12-19 17:19 [Show Content]
txt file icon 37516Final_QueryPlan.txt [^] (37,303 bytes) 2018-01-15 09:52 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037515 closedAtulOpenbravo Performance issue in Orders Awaiting Invoice Report 

-  Notes
(0101688)
AtulOpenbravo (developer)
2018-01-15 09:48

Login on the environment provided by support:

- Open Orders Awaiting Delivery Report and set:
  * From date: 10-08-2017
  * To date: 13-09-2017
  * Org: BAPS Shayona - Robbinsville

It take about ~ 2.5 seconds to finish
(0101691)
hgbot (developer)
2018-01-15 12:30

Repository: erp/devel/pi
Changeset: 385dc5c1739659c2561e5eed7293aecb1a3a9ce3
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jan 12 02:12:24 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/385dc5c1739659c2561e5eed7293aecb1a3a9ce3 [^]

Fixes Issue 0037516:Performance issue in Orders Awaiting Delivery Report

** Use a subquery to fetch qtyinstock, aum by respective queries
only once, add uomsymbol in inner select, aumsymbol in outer select
** Use isdelivered flag to avoid c_orderline exists clause which checks
undelivered orders line by line qtyordered against qtydelivered

---
M modules/org.openbravo.reports.ordersawaitingdelivery/src/org/openbravo/reports/ordersawaitingdelivery/erpCommon/ad_reports/ReportOrderNotShipped_data.xsql
---
(0101692)
dmiguelez (developer)
2018-01-15 12:32

Code Review + Testing Ok
(0102656)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-12-19 17:08 JONHM New Issue
2017-12-19 17:08 JONHM Assigned To => Triage Finance
2017-12-19 17:08 JONHM File Added: query.sql
2017-12-19 17:08 JONHM Modules => Core
2017-12-19 17:08 JONHM Triggers an Emergency Pack => No
2017-12-19 17:08 JONHM File Added: query_plan
2017-12-19 17:11 aferraz Relationship added related to 0037515
2017-12-19 17:18 JONHM Steps to Reproduce Updated View Revisions
2017-12-19 17:19 JONHM Steps to Reproduce Updated View Revisions
2017-12-19 17:19 JONHM File Deleted: query.sql
2017-12-19 17:19 JONHM File Deleted: query_plan
2017-12-19 17:19 JONHM File Added: query.sql
2017-12-19 17:19 JONHM File Added: query_plan
2017-12-19 17:52 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2017-12-19 18:23 AtulOpenbravo Status new => scheduled
2017-12-20 09:51 AtulOpenbravo Steps to Reproduce Updated View Revisions
2018-01-15 09:48 AtulOpenbravo Note Added: 0101688
2018-01-15 09:52 AtulOpenbravo File Added: 37516Final_QueryPlan.txt
2018-01-15 12:30 hgbot Checkin
2018-01-15 12:30 hgbot Note Added: 0101691
2018-01-15 12:30 hgbot Status scheduled => resolved
2018-01-15 12:31 hgbot Resolution open => fixed
2018-01-15 12:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/385dc5c1739659c2561e5eed7293aecb1a3a9ce3 [^]
2018-01-15 12:32 dmiguelez Review Assigned To => dmiguelez
2018-01-15 12:32 dmiguelez Note Added: 0101692
2018-01-15 12:32 dmiguelez Status resolved => closed
2018-01-15 12:32 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102656


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker